#pragma once

#include <xcb/xcb.h>

class Color;
class VisualLayer;

class XcbLayerInterface
{
public:

    static uint32_t GetColor(const Color* color);

    static uint32_t GetColor(int r, int g, int b);

    static void ModifyGcColor(xcb_connection_t* connection, xcb_gcontext_t gc,
            const Color* color);

    static void AddLayer(xcb_connection_t* connection,
            xcb_screen_t* screen, xcb_window_t window, xcb_gcontext_t gc,
            VisualLayer* layer);
};

